openSUSE Security Update : curl (openSUSE-2015-336)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

curl was updated to fix four security issues.

The following vulnerabilities were fixed :

- CVE-2015-3143: curl could re-use NTML authenticateds
connections

- CVE-2015-3144: curl could access memory out of bounds
with zero length host names

- CVE-2015-3145: curl cookie parser could access memory
out of boundary

- CVE-2015-3148: curl could treat Negotiate as not
connection-oriented

See also :

https://bugzilla.opensuse.org/show_bug.cgi?id=927556
https://bugzilla.opensuse.org/show_bug.cgi?id=927607
https://bugzilla.opensuse.org/show_bug.cgi?id=927608
https://bugzilla.opensuse.org/show_bug.cgi?id=927746

Solution :

Update the affected curl packages.

Risk factor :

High / CVSS Base Score : 9.0
(CVSS2#AV:N/AC:L/Au:S/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 83159 ()

Bugtraq ID:

CVE ID: CVE-2015-3143
CVE-2015-3144
CVE-2015-3145
CVE-2015-3148

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now